using System;
using System.Collections.Generic;

namespace ASPItalia.Pubs.Business
{
    internal interface IEntityService<T>
    {
        T ReadSingle(string entityID);
        List<T> ReadAll();
        void Create(T entity);
        void Update(T entity);
        void Delete(string entityID);
    }
}
