using System;
using System.Collections.ObjectModel;
using ASPItalia.Pubs.Common.ObjectModel;

namespace ASPItalia.Pubs.Business
{
    internal interface IServiceFactory
    {
        IEntityService<Book> CreateBookService(bool useCache);
        IEntityService<Author> CreateAuthorService(bool useCache);
        IEntityService<Publisher> CreatePublisherService(bool useCache);
    }
}
