﻿using System;
using System.Linq;
using System.Web;
using System.Web.UI;
using ASPItalia.Pubs.Common.ObjectModel;
using ASPItalia.Pubs.Business;

namespace ASPItalia.Pubs.Web
{
    public partial class UpdatePage : PageBase
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        protected void SubmitButton_Click(object sender, EventArgs e)
        {
            Publisher publisher = new Publisher() { PublisherID = "9901", Name = "GGG&G" };
            BookAuthor author1 = new BookAuthor() { AuthorID = "123-45-3456", BookID = "PC3333" };
            BookAuthor author2 = new BookAuthor() { AuthorID = "123-45-4567", BookID = "PC3333" };

            BookManager manager = new BookManager();
            Book book = manager.GetSingle("PC3333");
            
            book.Title = "Real LINQ Applications";
            book.PublicationDate = new DateTime(2008, 3, 12);
            book.Price = (decimal)20.0;

            book.PublisherID = publisher.PublisherID;
            book.Publisher = publisher;

            book.Authors.Clear();
            book.Authors.Add(author1);
            book.Authors.Add(author2);

            try
            {
                manager.Update(book);
                Response.Redirect("Book.aspx?id=PC3333", false);
            }
            catch (Exception ex)
            {
                // throw ex;
            }
        }
    }
}
