<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Pubs.Master" CodeBehind="Authors.aspx.cs" Inherits="ASPItalia.Pubs.Web.AuthorsPage" %>

<asp:Content runat="server" ContentPlaceHolderID="Body">
    <h4>Elenco degli autori</h4>
    <p>
        <asp:GridView ID="AuthorGrid" runat="server" AutoGenerateColumns="False" BackColor="White"
            BorderColor="#999999" BorderStyle="Solid" BorderWidth="1px" CellPadding="3" DataSourceID="AuthorDataSource"
            ForeColor="Black" GridLines="Vertical" Width="800" OnRowCommand="AuthorGrid_RowCommand">
            <Columns>
                <asp:BoundField DataField="AuthorID" HeaderText="ID" SortExpression="ID" />
                <asp:BoundField DataField="LastName" HeaderText="Cognome" SortExpression="LastName" />
                <asp:BoundField DataField="FirstName" HeaderText="Nome" SortExpression="FirstName" />
                <asp:HyperLinkField DataNavigateUrlFormatString="Books.aspx?au_id={0}" DataNavigateUrlFields="AuthorID" Text="Trova i libri dell'autore" HeaderText="" />
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:LinkButton ID="DeleteButton" runat="server" Text="Cancella" CommandName="DeleteAuthor" CommandArgument='<%#Eval("AuthorID")%>' OnClientClick="return confirm('Attenzione: se l\'autore  associato ad un libro o\n a qualche altro dato, non verr cancellato.\n\nSi desidera procedere?')"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <SelectedRowStyle BackColor="#000099" Font-Bold="True" ForeColor="White" Font-Size="Small" />
            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" Font-Size="Small" />
            <HeaderStyle BackColor="Black" Font-Bold="True" ForeColor="White" Font-Size="Small" HorizontalAlign="Left" />
            <RowStyle Font-Size="Small" />
            <AlternatingRowStyle BackColor="#CCCCCC" Font-Size="Small" />
            <FooterStyle BackColor="#CCCCCC" Font-Size="Small" />
        </asp:GridView>
        <asp:ObjectDataSource ID="AuthorDataSource" runat="server" SelectMethod="GetList" TypeName="ASPItalia.Pubs.Business.AuthorManager"></asp:ObjectDataSource>
    </p>
</asp:Content>