<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Pubs.Master" CodeBehind="Books.aspx.cs" Inherits="ASPItalia.Pubs.Web.BooksPage" %>

<asp:Content runat="server" ContentPlaceHolderID="Body">
    <h4>Elenco dei libri</h4>
    <p>
        <asp:GridView ID="BookGrid" runat="server" AutoGenerateColumns="False" BackColor="White"
            BorderColor="#999999" BorderStyle="Solid" BorderWidth="1px" CellPadding="3"
            ForeColor="Black" GridLines="Vertical" Width="800" OnRowCommand="BookGrid_RowCommand">
            <Columns>
                <asp:BoundField DataField="BookID" HeaderText="ID" SortExpression="ID" />
                <asp:BoundField DataField="Title" HeaderText="Titolo" SortExpression="Title" />
                <asp:BoundField DataField="Category" HeaderText="Categoria" SortExpression="Category" />
                <asp:HyperLinkField DataNavigateUrlFormatString="Book.aspx?id={0}" DataNavigateUrlFields="BookID" Text="Visualizza la scheda" HeaderText="" />
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:LinkButton ID="DeleteButton" runat="server" Text="Cancella" CommandName="DeleteBook" CommandArgument='<%#Eval("BookID")%>' OnClientClick="return confirm('Attenzione: potrebbe non essere possibile cancellare un libro\nse  associato a qualche dato non gestito dall\'applicazione.\n\nSi desidera procedere?')"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <SelectedRowStyle BackColor="#000099" Font-Bold="True" ForeColor="White" Font-Size="Small" />
            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" Font-Size="Small" />
            <HeaderStyle BackColor="Black" Font-Bold="True" ForeColor="White" Font-Size="Small" HorizontalAlign="Left" />
            <RowStyle Font-Size="Small" />
            <AlternatingRowStyle BackColor="#CCCCCC" Font-Size="Small" />
            <FooterStyle BackColor="#CCCCCC" Font-Size="Small" />
        </asp:GridView>
    </p>
</asp:Content>