using System;
using System.Web;
using System.Web.UI;
using ASPItalia.Pubs.Common.Services.Validation;

namespace ASPItalia.Pubs.Web
{
    public class PageBase : Page
    {
        protected override void OnPreInit(EventArgs e)
        {
            base.OnPreInit(e);

            if (!QueryStringValidationService.Validate())
            {
                Response.Write("<html><head><title>Pubs</title></head>\n");
                Response.Write("<body style=\"font-family:Tahoma;\">\n");
                Response.Write("<h3>Parametro non valido o mancante</h3>\n");
                Response.Write("<div>Alcuni dei parametri della richiesta sono non validi o mancanti.</div>\n");
                Response.Write("</body></html>\n");
                Response.End();
            }
        }
    }
}
