<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Pubs.Master" CodeBehind="Publishers.aspx.cs" Inherits="ASPItalia.Pubs.Web.PublishersPage" %>

<asp:Content runat="server" ContentPlaceHolderID="Body">
    <h4>Elenco degli editori</h4>
    <p>
        <asp:GridView ID="PublisherGrid" runat="server" AutoGenerateColumns="False" BackColor="White"
            BorderColor="#999999" BorderStyle="Solid" BorderWidth="1px" CellPadding="3" DataSourceID="PublisherDataSource"
            ForeColor="Black" GridLines="Vertical" Width="800" OnRowCommand="PublisherGrid_RowCommand">
            <Columns>
                <asp:BoundField DataField="PublisherID" HeaderText="ID" SortExpression="ID" />
                <asp:BoundField DataField="Name" HeaderText="Nome" SortExpression="FirstName" />
                <asp:HyperLinkField DataNavigateUrlFormatString="Books.aspx?pub_id={0}" DataNavigateUrlFields="PublisherID" Text="Trova i libri dell'editore" HeaderText="" />
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:LinkButton ID="DeleteButton" runat="server" Text="Cancella" CommandName="DeletePublisher" CommandArgument='<%#Eval("PublisherID")%>' OnClientClick="return confirm('Attenzione: se l\'editore  associato ad un libro o\na qualche altro dato, non verr cancellato.\n\nSi desidera procedere?')"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <SelectedRowStyle BackColor="#000099" Font-Bold="True" ForeColor="White" Font-Size="Small" />
            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" Font-Size="Small" />
            <HeaderStyle BackColor="Black" Font-Bold="True" ForeColor="White" Font-Size="Small" HorizontalAlign="Left" />
            <RowStyle Font-Size="Small" />
            <AlternatingRowStyle BackColor="#CCCCCC" Font-Size="Small" />
            <FooterStyle BackColor="#CCCCCC" Font-Size="Small" />
        </asp:GridView>
        <asp:ObjectDataSource ID="PublisherDataSource" runat="server" SelectMethod="GetList" TypeName="ASPItalia.Pubs.Business.PublisherManager"></asp:ObjectDataSource>
    </p>
</asp:Content>